package it.integry.integrywmsnative.core.rest.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import it.integry.integrywmsnative.core.model.MtbColt;

public class LoadColliDTO {

    private String gestione;
    private String codDtip;
    private String codAnag;
    private String codVdes;
    private Date dataDoc;
    private String serDoc;
    private Integer numDoc;
    private String codMdep;
    private String calcPrz;
    private boolean datiOrd;
    private Date dataOrd;
    private Integer numOrd;
    private String flagEvasoForzato;
    private Date dataVers;
    private String note;
    private boolean saveDoc = true;

    private List<MtbColt> colli = new ArrayList<>();

    public String getGestione() {
        return gestione;
    }

    public LoadColliDTO setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public LoadColliDTO setCodDtip(String codDtip) {
        this.codDtip = codDtip;
        return this;
    }

    public String getCodAnag() {
        return codAnag;
    }

    public LoadColliDTO setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodVdes() {
        return codVdes;
    }

    public LoadColliDTO setCodVdes(String codVdes) {
        this.codVdes = codVdes;
        return this;
    }

    public Date getDataDoc() {
        return dataDoc;
    }

    public LoadColliDTO setDataDoc(Date dataDoc) {
        this.dataDoc = dataDoc;
        return this;
    }

    public String getSerDoc() {
        return serDoc;
    }

    public LoadColliDTO setSerDoc(String serDoc) {
        this.serDoc = serDoc;
        return this;
    }

    public Integer getNumDoc() {
        return numDoc;
    }

    public LoadColliDTO setNumDoc(Integer numDoc) {
        this.numDoc = numDoc;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public LoadColliDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getCalcPrz() {
        return calcPrz;
    }

    public LoadColliDTO setCalcPrz(String calcPrz) {
        this.calcPrz = calcPrz;
        return this;
    }

    public boolean isDatiOrd() {
        return datiOrd;
    }

    public LoadColliDTO setDatiOrd(boolean datiOrd) {
        this.datiOrd = datiOrd;
        return this;
    }

    public Date getDataOrd() {
        return dataOrd;
    }

    public LoadColliDTO setDataOrd(Date dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public Integer getNumOrd() {
        return numOrd;
    }

    public LoadColliDTO setNumOrd(Integer numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public String getFlagEvasoForzato() {
        return flagEvasoForzato;
    }

    public LoadColliDTO setFlagEvasoForzato(String flagEvasoForzato) {
        this.flagEvasoForzato = flagEvasoForzato;
        return this;
    }

    public Date getDataVers() {
        return dataVers;
    }

    public LoadColliDTO setDataVers(Date dataVers) {
        this.dataVers = dataVers;
        return this;
    }

    public String getNote() {
        return note;
    }

    public LoadColliDTO setNote(String note) {
        this.note = note;
        return this;
    }

    public boolean isSaveDoc() {
        return saveDoc;
    }

    public LoadColliDTO setSaveDoc(boolean saveDoc) {
        this.saveDoc = saveDoc;
        return this;
    }

    public List<MtbColt> getColli() {
        return colli;
    }

    public LoadColliDTO setColli(List<MtbColt> colli) {
        this.colli = colli;
        return this;
    }
}
